Page MenuHomePhabricator

Provide a link from ContentTranslation to the tool to look for missing articles
Closed, ResolvedPublic1 Story Points

Description

Until Content Translation is able to provide suggestions, we can redirect users to an existing tool that helps finding articles to translate. The transition won't be as fluent as desired, but it may be useful still.

This can be integrated into the dashboard or the "new translation" dialog using a link like "Looking for ideas on what to translate?".

If we have information on the source or target languages (based on user current or previous selections) we can pre-fill the language parameters on the URL so that the user does not have to select the languages again. An example of URL for Spanish-to-Catalan is http://tools.wmflabs.org/not-in-the-other-language/?lang1=es&proj1=wiki&lang2=ca

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF changed Security from none to None.
Pginer-WMF added a subscriber: Pginer-WMF.
Arrbee triaged this task as Low priority.Dec 10 2014, 3:46 PM
Arrbee added a subscriber: Arrbee.
Arrbee edited a custom field.Feb 25 2015, 5:56 AM
Amire80 claimed this task.Feb 25 2015, 3:54 PM
Amire80 renamed this task from Provide a link to the tool to look for missing articles to Provide a link from ContentTranslation to the tool to look for missing articles.Feb 25 2015, 11:52 PM
Amire80 moved this task from Backlog to In Progress on the LE-Sprint-83 board.Mar 9 2015, 9:51 PM

Change 195477 had a related patch set uploaded (by Amire80):
Add a link to Magnus's "Not in the other language" tool

https://gerrit.wikimedia.org/r/195477

Screenshot as per above patch:

@Pginer-WMF, please review and comment

@Nirzar included a side area for help in his mockups of the dashboard. While we don't have suggestions, including the link there would make sense. We may want to do do some of the work as part of this card or at least make sure that it will be easier to move there once that is supported.

If the above is out of the scope for the current task, at least we may want to consider the following (I included a mockup below):

  • Show the link below the "create new translation" button, to facilitate vertical scanning.
  • Use the style for links used in the page (notice they don't have underline).
  • The current text ("looking for articles to translate?") looks good, but I'm afraid that users may though that they can start a translation form the external tool and get lost. So I'm more inclined to be more explicit ("Find articles missing in your languages").
  • Make sure it opens in a new window (I have not tested the patchset, just looked at the screenshot so I don't if that is currently the case).
  • Land the user in the tool with the target language set to the current wiki language and the source one to a different language we guess may be relevant to the user (based on current translations if any, or our usual guesses). Make sure is different from the target language.

Show the link below the "create new translation" button, to facilitate vertical scanning.

Done.

Use the style for links used in the page (notice they don't have underline).

Done.

The current text ("looking for articles to translate?") looks good, but I'm afraid that users may though that they can start a translation form the external tool and get lost. So I'm more inclined to be more explicit ("Find articles missing in your languages").

Done.

Make sure it opens in a new window (I have not tested the patchset, just looked at the screenshot so I don't if that is currently the case).

Done.

Land the user in the tool with the target language set to the current wiki language and the source one to a different language we guess may be relevant to the user (based on current translations if any, or our usual guesses). Make sure is different from the target language.

Done to the best of my ability :)

Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Mar 11 2015, 8:06 AM
Arrbee moved this task from Backlog to In Review on the LE-Sprint-84 board.Mar 11 2015, 9:11 AM

Change 195477 merged by jenkins-bot:
Add a link to Magnus's "Not in the other language" tool

https://gerrit.wikimedia.org/r/195477

Nikerabbit moved this task from In Review to Done on the LE-Sprint-84 board.Mar 13 2015, 12:37 PM
Amire80 closed this task as Resolved.Mar 18 2015, 7:17 AM